package com.businesslogic.ireport;

import java.util.*;

public class CompatibilitySupport
{
  public static boolean saveVerticalAlignemnt = true;
  public static boolean saveRoundedRectangle = true;
  public static boolean saveEllipse = true;
  public static void loadCompatiilityOptions(Properties properties)
  {
	CompatibilitySupport.saveVerticalAlignemnt = new Boolean(properties.getProperty("saveVerticalAlignemnt", String.valueOf(CompatibilitySupport.saveVerticalAlignemnt))).booleanValue();
	CompatibilitySupport.saveRoundedRectangle = new Boolean(properties.getProperty("saveRoundedRectangle", String.valueOf(CompatibilitySupport.saveRoundedRectangle))).booleanValue();
	CompatibilitySupport.saveEllipse = new Boolean(properties.getProperty("saveEllipse", String.valueOf(CompatibilitySupport.saveEllipse))).booleanValue();
  }

  public static void saveCompatiilityOptions(Properties properties)
  {
	properties.put( "saveVerticalAlignemnt", String.valueOf(CompatibilitySupport.saveVerticalAlignemnt));
	properties.put( "saveRoundedRectangle", String.valueOf(CompatibilitySupport.saveRoundedRectangle));
	properties.put( "saveEllipse", String.valueOf(CompatibilitySupport.saveEllipse));	
  }
}
